Skip to main content
GET
/
analytics
/
dashboards
/
patient-breakdown
/
patient-analytics
Get Patient Analytics
curl --request GET \
  --url https://api.decodahealth.com/analytics/dashboards/patient-breakdown/patient-analytics \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
{
  "data": [
    {
      "patient": {
        "id": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "phoneNumber": "<string>",
        "email": "<string>",
        "type": "PATIENT",
        "locationId": "<string>",
        "dateOfBirth": "2023-12-25",
        "onSchedulingBlacklist": true
      },
      "patientSource": "<string>",
      "firstAppointmentDate": "2023-11-07T05:31:56Z",
      "lastAppointmentDate": "2023-11-07T05:31:56Z",
      "lastAppointmentServices": [
        "<string>"
      ],
      "lastAppointmentProviders": [
        {
          "id": "<string>",
          "firstName": "<string>",
          "lastName": "<string>"
        }
      ],
      "totalSpent": 0,
      "appointmentCount": 0
    }
  ],
  "total": 123
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

timezone
string
default:UTC
sort_by
string
default:last_appointment_date
sort_direction
enum<string>
default:desc
Available options:
asc,
desc
start_date
string | null
end_date
string | null
patient_source
string[] | null
location_ids
string[] | null
days_since_last_appointment
integer | null
patient_name
string | null
patient_id
string | null
last_appointment_service_ids
string[] | null
last_appointment_provider_ids
string[] | null
last_visit_days
string | null
visit_span_days
string | null
page
integer
default:1
Required range: x >= 1
per_page
integer
default:25
Required range: 1 <= x <= 100

Response

Successful Response

data
PatientAnalyticsItem · object[]
required
total
integer
required